import { core } from '@salesforce/command';
import { RetrieveRequest, RetrieveResult } from '../types';
export declare class MetadataApiService {
    private static instance;
    private connection;
    static getInstance(): MetadataApiService;
    initialize(connection: core.Connection): void;
    buildRetrieveRequest(typeName: string, memberName: string): RetrieveRequest;
    metadataRetrieveID(request: RetrieveRequest): Promise<string>;
    /**
     * This allows us to wrap async functions, like metadata retrieve, so we can
     * execute them as Immediately Invoked Function Expression in order to poll
     * for its results
     * @param retrieveID metadata retrieve Id
     * @param timeout period of time in milliseconds before finish polling
     * @param interval time interval between polls in milliseconds
     */
    metadataRetrievePoll(retrieveID: string, timeout?: number, interval?: number): Promise<RetrieveResult>;
    getFileFromZipFile(zipFileString: string, fileName: string): string;
}
