/**
 * Interface that stores information about Salesforce metadata type
 */
export interface MetadataInfo {
    /**
     * Salesforce metadata type name e.g. ApexClass
     */
    metadataName: string;
    /**
     * Suffix of the metadata file e.g. cls.
     */
    suffix: string;
    /**
     * Parent folder where Salesforce metadata files must be stored e.g. lwc.
     */
    parentFolder?: string;
    /**
     * Name of the metadata file e.g. MyTestClass.
     */
    fileName?: string;
    /**
     * Metadata type, only used by the bundle metadatas e.g. markup in AuraDefinitionBundle
     */
    type?: string;
    /**
     * Namespace of the metadata file, normally when it is part of a package
     */
    namespacePrefix: string;
}
export interface MetadataInfos {
    [metadataName: string]: MetadataInfo;
}
