/**
 * Enum that represents the status of a Metadata Retrieve
 */
export declare enum RetrieveStatusEnum {
    Succeeded = "Succeeded",
    InProgress = "InProgress",
    Pending = "Pending",
    Failed = "Failed"
}
/**
 * Represents the Metadata API result object
 */
export declare type RetrieveResult = {
    done: boolean;
    id: string;
    status: string;
    success: boolean;
    zipFile: string;
    messages?: {
        fileName: string;
        problem: string;
    };
};
/**
 * Retrieve request object used to queue a Metadata API retrieve
 */
export declare type RetrieveRequest = {
    apiVersion: number;
    unpackaged: {
        types: {
            name: string;
            members: string;
        };
        version: string;
    };
    singlePackage: boolean;
};
